# MediaCharacter

Internal - Media characters separated

| Field             |                                                                                                          Argument | Type                                                   | Description |
| ----------------- | ----------------------------------------------------------------------------------------------------------------: | ------------------------------------------------------ | ----------- |
| **id**            |                   [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The id of the connection                               |             |
| **role**          | [CharacterRole](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/characterrole/README.md) | The characters role in the media                       |             |
| **roleNotes**     |             [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) |                                                        |             |
| **dubGroup**      |             [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) |                                                        |             |
| **characterName** |             [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Media specific character name                          |             |
| **character**     |       [Character](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/character/README.md) | The characters in the media voiced by the parent actor |             |
| **voiceActor**    |               [Staff](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/staff/README.md) | The voice actor of the character                       |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/mediacharacter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
